## q2-alignment 2022.11.1

=== Makefile ===
.PHONY: all lint test test-cov install dev clean distclean

PYTHON ?= python

all: ;

lint:
	q2lint
	flake8

test: all
	py.test

test-cov: all
	py.test --cov=q2_alignment

install: all
	$(PYTHON) setup.py install

dev: all
	pip install -e .

clean: distclean

distclean: ;

## q2-alignment 2020.11.1

=== debian/changelog ===
q2-alignment (2020.11.1-2) unstable; urgency=high

  * Team Upload.
  * Add q2-types to Depends
  * Add skip-not-installable restriction
  * Urgency is set to high for bullseye migration
  * Change arch to all

 -- Nilesh Patra <npatra974@gmail.com>  Sun, 07 Feb 2021 16:55:14 +0530

q2-alignment (2020.11.1-1) unstable; urgency=medium

  * Team upload.
  * Initial release (Closes: #925983)

 -- Andreas Tille <tille@debian.org>  Sat, 23 Jan 2021 08:32:42 +0100

=== debian/control ===
Source: q2-alignment
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3,
               python3-setuptools,
               python3-skbio,
               python3-pytest-cov,
               qiime,
               q2-types,
               mafft
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/q2-alignment
Vcs-Git: https://salsa.debian.org/med-team/q2-alignment.git
Homepage: https://qiime2.org/
Rules-Requires-Root: no

Package: q2-alignment
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         python3-setuptools,
         python3-skbio,
         qiime,
         mafft,
         q2-types
Suggests: sina
Description: QIIME 2 plugin for generating and manipulating alignments
 QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
 package with a focus on data and analysis transparency. QIIME 2 enables
 researchers to start an analysis with raw DNA sequence data and finish with
 publication-quality figures and statistical results.
 Key features:
  * Integrated and automatic tracking of data provenance
  * Semantic type system
  * Plugin system for extending microbiome analysis functionality
  * Support for multiple types of user interfaces (e.g. API, command line,
 graphical)
 .
 QIIME 2 is a complete redesign and rewrite of the QIIME 1 microbiome analysis
 pipeline. QIIME 2 will address many of the limitations of QIIME 1, while
 retaining the features that makes QIIME 1 a powerful and widely-used analysis
 pipeline.
 .
 QIIME 2 currently supports an initial end-to-end microbiome analysis pipeline.
 New functionality will regularly become available through QIIME 2 plugins. You
 can view a list of plugins that are currently available on the QIIME 2 plugin
 availability page. The future plugins page lists plugins that are being
 developed.

=== debian/watch ===
version=4

opts="filenamemangle=s/.*\/archive\/(\d[\d.]+@ARCHIVE_EXT@)/@PACKAGE@-$1/" \
  https://github.com/qiime2/q2-alignment/releases/latest .*/archive/(\d[.\d]+)@ARCHIVE_EXT@

## q2-alignment 2021.8.0

=== debian/changelog ===
q2-alignment (2021.8.0-1) unstable; urgency=medium

  * Team upload.
  * Versioned (Build-)Depends qiime and q2 modules (>= 2021.8.0)
  * Fix watchfile to detect new versions on github (routine-update)
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 29 Sep 2021 17:57:32 +0200

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
                python3-setuptools,
                python3-skbio,
                python3-pytest-cov,
-               qiime,
-               q2-types,
+               qiime (>= 2021.8.0),
+               q2-types (>= 2021.8.0),
                mafft
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/q2-alignment
 Vcs-Git: https://salsa.debian.org/med-team/q2-alignment.git
 Homepage: https://qiime2.org/
@@ -25,9 +25,9 @@
          ${python3:Depends},
          python3-setuptools,
          python3-skbio,
-         qiime,
+         qiime (>= 2021.8.0),
          mafft,
-         q2-types
+         q2-types (>= 2021.8.0)
 Suggests: sina
 Description: QIIME 2 plugin for generating and manipulating alignments
  QIIME 2 is a powerful, extensible, and decentralized microbiome analysis

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/qiime2/q2-alignment/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## q2-alignment 2022.2.0

=== debian/changelog ===
q2-alignment (2022.2.0-1) unstable; urgency=medium

  * New upstream version
  * Added myself to uploaders.
  * Removing egg-info files from source that are created during build.

 -- Steffen Moeller <moeller@debian.org>  Tue, 12 Jul 2022 23:29:13 +0200

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,18 @@
 Section: science
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>
+Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>,
+           Steffen Moeller <moeller@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3,
                python3-setuptools,
                python3-skbio,
                python3-pytest-cov,
-               qiime (>= 2021.8.0),
-               q2-types (>= 2021.8.0),
+               qiime (>= 2022.2.1),
+               q2-types (>= 2022.2.0),
                mafft
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/q2-alignment
 Vcs-Git: https://salsa.debian.org/med-team/q2-alignment.git
 Homepage: https://qiime2.org/
@@ -25,9 +26,9 @@
          ${python3:Depends},
          python3-setuptools,
          python3-skbio,
-         qiime (>= 2021.8.0),
+         qiime (>= 2022.2.1),
          mafft,
-         q2-types (>= 2021.8.0)
+         q2-types (>= 2022.2.0)
 Suggests: sina
 Description: QIIME 2 plugin for generating and manipulating alignments
  QIIME 2 is a powerful, extensible, and decentralized microbiome analysis

## q2-alignment 2022.11.1

=== debian/changelog ===
q2-alignment (2022.11.1-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Andreas Tille <tille@debian.org>  Tue, 24 Jan 2023 18:33:48 +0100

q2-alignment (2022.11.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Bump versioned Depends
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 12 Jan 2023 18:48:16 +0100

q2-alignment (2022.8.0-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 2022.8.0
  * Updated dependency on qiime/q2-* >= 2022.8.0

 -- Nilesh Patra <nilesh@debian.org>  Mon, 05 Sep 2022 22:34:10 +0530

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
                python3-setuptools,
                python3-skbio,
                python3-pytest-cov,
-               qiime (>= 2022.2.1),
-               q2-types (>= 2022.2.0),
+               qiime (>= 2022.11.1),
+               q2-types (>= 2022.11.1),
                mafft
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/q2-alignment
 Vcs-Git: https://salsa.debian.org/med-team/q2-alignment.git
 Homepage: https://qiime2.org/
@@ -26,9 +26,9 @@
          ${python3:Depends},
          python3-setuptools,
          python3-skbio,
-         qiime (>= 2022.2.1),
          mafft,
-         q2-types (>= 2022.2.0)
+         qiime (>= 2022.11.1),
+         q2-types (>= 2022.11.1)
 Suggests: sina
 Description: QIIME 2 plugin for generating and manipulating alignments
  QIIME 2 is a powerful, extensible, and decentralized microbiome analysis

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8


# For testing, we need .egg-info so the entry points are available.
export PYBUILD_BEFORE_TEST=python{version} setup.py develop --install-dir {build_dir}
# Delete .egg-info and other files that were generated along with .egg-info
export PYBUILD_BEFORE_INSTALL=rm -rvf {build_dir}/q2-alignment.egg-* {build_dir}/site.py \
		{build_dir}/.coverage* {build_dir}/easy-install.pth


%:
	dh $@ --with python3 --buildsystem=pybuild

#FIXME: Delaying true testing to autopkgtests since QIIME2 module cannot be registered
#       at build time.
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test -- -s custom --test-args="cd {build_dir}; py.test-3 --cov=q2_alignment" || true
endif

=== debian/watch ===
version=4
opts="repack,repacksuffix=+ds,dversionmangle=auto,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/qiime2/q2-alignment/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## q2-alignment 2024.5.0

=== debian/changelog ===
q2-alignment (2024.5.0-1) unstable; urgency=medium

  * Team upload.
  * d/{copyright,source/options}: ignore egg-info, don't exclude it
  * d/patches/configparser.patch: copy from qiime
  * Regenerate debian/control from debian/control.in (routine-update)
  * Only build for Python 3.11 until upstream catches up with Python
    3.12.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 26 Jun 2024 12:03:17 +0200

q2-alignment (2024.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Regenerate debian/control from debian/control.in (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 18 Feb 2024 12:45:41 +0100

q2-alignment (2023.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Generate debian/control automatically to refresh version number
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Regenerate debian/control from debian/control.in (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 30 Jan 2024 12:38:50 +0100

q2-alignment (2023.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2023.7.0
  * d/clean: remove python egg info. (Closes: #1048491)

 -- Étienne Mollier <emollier@debian.org>  Sat, 19 Aug 2023 10:42:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,3 +1,4 @@
+# This file is autogenerated from control.in to update versioned dependencies
 Source: q2-alignment
 Section: science
 Priority: optional
@@ -5,13 +6,13 @@
 Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>,
            Steffen Moeller <moeller@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
-               python3,
+               dh-sequence-python3,
+               python3-all,
                python3-setuptools,
                python3-skbio,
                python3-pytest-cov,
-               qiime (>= 2022.11.1),
-               q2-types (>= 2022.11.1),
+               qiime (>= 2024.5),
+               q2-types (>= 2024.5),
                mafft
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/q2-alignment
@@ -27,8 +28,8 @@
          python3-setuptools,
          python3-skbio,
          mafft,
-         qiime (>= 2022.11.1),
-         q2-types (>= 2022.11.1)
+         qiime (>= 2024.5),
+         q2-types (>= 2024.5)
 Suggests: sina
 Description: QIIME 2 plugin for generating and manipulating alignments
  QIIME 2 is a powerful, extensible, and decentralized microbiome analysis

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,10 @@
 # DH_VERBOSE := 1
 export LC_ALL=C.UTF-8
 
+include /usr/share/dpkg/default.mk
+VERSION_UPSTREAM=$(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\(20[0-9][0-9]\.[0-9]\+\)\..*/\1/')
+
+export PYBUILD_DISABLE=python3.12
 
 # For testing, we need .egg-info so the entry points are available.
 export PYBUILD_BEFORE_TEST=python{version} setup.py develop --install-dir {build_dir}
@@ -12,7 +16,11 @@
 
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
+
+debian/control: debian/control.in
+	echo "# This file is autogenerated from control.in to update versioned dependencies" > $@
+	sed -e"s/@DEB_VERSION_UPSTREAM@/$(VERSION_UPSTREAM)/g" $< >> $@
 
 #FIXME: Delaying true testing to autopkgtests since QIIME2 module cannot be registered
 #       at build time.
